=== debian/changelog ===
gringo (3.0.3-4) unstable; urgency=low

  * control: Combine gringo, clingo, and iclingo binary packages into gringo.
   + Conflicts and Replaces clingo and iclingo.
  * copyright: Convert to DEP-5 format and add missing licenses.
  * rules: Add override_dh_installchangelogs for CHANGES file.
  * install: Install gringo, clingo and iclingo.
  * Refresh gringo-makefile.patch; do not install anything here.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 22 Feb 2011 09:38:26 +0100

gringo (3.0.3-3) unstable; urgency=low

  * Initial upload (Closes: #605879)

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 05 Dec 2010 18:01:28 +0100

gringo (3.0.3-2) unstable; urgency=low

  * Upload to mentors.debian.net.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 20 Nov 2010 09:43:35 +0100

gringo (3.0.3-1~maverick1) maverick; urgency=low

  * New upstream release.
  
  * Fix changelog entries.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 12 Nov 2010 05:53:36 +0100

gringo (3.0.2-2~maverick1) maverick; urgency=low

  * Tag distro-series.

  * Fix Standards-Version and Priority.
  
  * Suggest potassco-guide.

  * Fix missing changelog.
  
  * Add additional authors to copyright.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 10 Oct 2010 08:50:01 +0200

gringo (3.0.2-1) lucid; urgency=low

  * New upstream release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 04 Oct 2010 22:03:12 +0200

gringo (3.0.1-2) lucid; urgency=low

  * Build with system-wide liblua5.1-dev.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 28 Jul 2010 06:15:10 +0200

gringo (3.0.1-1) lucid; urgency=low

  * New upstream release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 27 Jul 2010 06:00:34 +0200

gringo (2.0.5-6) lucid; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  
  * Fix lintian warning debhelper-but-no-misc-depends: add ${misc:Depends} to potassco-guide.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 06 Jun 2010 18:18:22 +0200

gringo (2.0.5-5) lucid; urgency=low

  * Added watch file.

  * Added Vcs-Bzr to control.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 01 Jun 2010 14:47:13 +0200

gringo (2.0.5-4) lucid; urgency=low

  * Set Architecture of all binary packages to "any".

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 28 May 2010 09:21:58 +0200

gringo (2.0.5-3) lucid; urgency=low

  * Set Architecture of all binary packages to "all".

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 28 May 2010 07:04:46 +0200

gringo (2.0.5-2) lucid; urgency=low

  * Moved to Ubuntu PPA.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 26 May 2010 00:33:32 +0200

gringo (2.0.5-1) unstable; urgency=low

  * Initial release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 04 Mar 2010 19:47:14 +0100
