=== debian/control ===
Source: gringo
Section: interpreters
Priority: optional
Maintainer: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
Build-Depends: debhelper (>= 7.0.50~),
 cmake,
 libboost-filesystem-dev,
 libboost-system-dev,
 liblua5.1-dev
Standards-Version: 3.9.1
Vcs-Bzr: https://code.launchpad.net/~tkren/+junk/asp/gringo
Homepage: http://potassco.sourceforge.net/

Package: gringo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: clasp
Suggests: potassco-guide
Replaces: clingo, iclingo
Conflicts: clingo, iclingo
Description: grounding tools for (disjunctive) logic programs
 Current answer set solvers work on variable-free programs. Hence, a
 grounder is needed that, given an input program with first-order
 variables, computes an equivalent ground (variable-free) program.
 .
 This package contains the following tools:
 .
  - gringo: creates lparse-compatbile variable-free programs.
  - clingo: stands for clasp on gringo and combines both systems in
    a monolithic way. Its input language is that of gringo and its
    output corresponds to that of clasp.
  - iclingo: an incremental answer set programming system
    implemented on top of clingo. It is based on the idea that the
    grounder as well as the solver are implemented in a stateful way.
    Thus, both keep their previous states while increasing an
    incremental parameter. As regards grounding, at each incremental
    step, the goal is to produce only ground rules stemming from the
    current program slice, without re-producing previous ground rules.
    The ground program slices are then gradually passed to the solver
    that accumulates ground rules and computes answer sets for them.
