## gringo 3.0.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 target=gringo-app
-cmake_options=-DWITH_LUA=shipped -DWITH_LUASQL=1
+cmake_options=-DWITH_LUA=shipped -DWITH_LUASQL=0
 
 all: release
 
@@ -36,7 +36,7 @@
 	cd build/static32 && \
 	cmake ../.. \
 		-DCMAKE_CXX_FLAGS="-Wall -m32" \
-		-DCMAKE_FIND_ROOT_PATH="/usr/lib32;${HOME}/local/x86" \
+		-DCMAKE_FIND_ROOT_PATH="/usr/lib32;/home/wv/bin/linux/32/boost-1.44" \
 		-DCMAKE_BUILD_TYPE=release \
 		-DUSE_STATIC_LIBS=ON \
 		${cmake_options} && \
