=== debian/changelog ===
gringo (3.0.4-2) unstable; urgency=low

  * debian/patches/gringo-clang-gcc.patch: New file originally from
    https://potassco.svn.sourceforge.net/svnroot/potassco/tags/gringo-3.0.4/patches/patch-clang.diff.
  * Bug fix: "ftbfs with GCC-4.7", thanks to Matthias Klose (Closes:
    #667193).
  * debian/control: Bump Standards-Version to 3.9.3.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 10 Apr 2012 16:48:52 +0200

gringo (3.0.4-1ubuntu1~oneiric1) oneiric; urgency=low

  * Upload to ppa:~tkren/asp.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 27 Jan 2012 08:08:04 +0100

gringo (3.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 26 Jan 2012 14:59:59 +0100

gringo (3.0.3-7) unstable; urgency=low

  * debian/copyright: Fix comma-separated-files-in-dep5-copyright,
    obsolete-field-in-dep5-copyright and unversioned-copyright-format-uri
    lintian warnings.
  * Bug fix: "FTBFS: clone_allocator.hpp:34:27: error: invalid use of
    incomplete type <struct Domain>", thanks to Lucas Nussbaum
    (Closes: #652787).
  * debian/patches/gringo-domain-fwd-decl.patch: New file.
  * debian/control: Build-Depends on re2c to recreate parser.cpp from
    parser.r2c, add boost version libboost-*N.MM-dev.
  * debian/rules: Add override_dh_auto_configure and remove parser.cpp and
    converter.cpp to force recreation of re2c lexer files.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 25 Dec 2011 18:44:20 +0100

gringo (3.0.3-6) unstable; urgency=low

  * debian/control: Setup as Debian Science project.
    - Set Maintainer to Debian Science Maintainers and Uploaders to Thomas
      Krennwallner.
    - Set DM-Upload-Allowed to yes.
    - Convert bzr repository to git and use Vcs-Git and Vcs-Browser
      accordingly.
    - Build-Depends on debhelper >= 8.0.0.
  * debian/rules: Add override_dh_auto_build to get rid off
    debian/patches/gringo-makefile.patch.
  * debian/patches/gringo-makefile.patch debian/patches/series: Remove
    debian/patches/gringo-makefile.patch.
    
 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 05 Sep 2011 13:21:51 +0200

gringo (3.0.3-5~natty1) natty; urgency=low

  * debian/watch: Fix lintian debian-watch-contains-dh_make-template.
  * debian/control: Lower Priority to extra and bump Standards-Version to
    3.9.2.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 29 Apr 2011 07:11:12 +0200
