=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: gringo
 Section: interpreters
-Priority: optional
-Maintainer: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
-Build-Depends: debhelper (>= 7.0.50~),
+Priority: extra
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 8.0.0),
  cmake,
- libboost-filesystem-dev,
- libboost-system-dev,
+ re2c,
+ libboost-filesystem1.48-dev,
+ libboost-system1.48-dev,
  liblua5.1-dev
-Standards-Version: 3.9.1
-Vcs-Bzr: https://code.launchpad.net/~tkren/+junk/asp/gringo
+Standards-Version: 3.9.3
+Vcs-Git: git://git.debian.org/git/debian-science/packages/gringo.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gringo.git
 Homepage: http://potassco.sourceforge.net/
 
 Package: gringo
