=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@

# force recreation of re2c parsers
override_dh_auto_configure:
	rm -f libgringo/src/parser.cpp libgringo/src/converter.cpp

# build all {gringo,clingo,iclingo} and use Debian's LUA
override_dh_auto_build:
	dh_auto_build -- target="gringo-app clingo-app iclingo-app" cmake_options="-DWITH_LUA=system -DWITH_LUASQL=1"

override_dh_installchangelogs:
	dh_installchangelogs CHANGES
