## gringo 3.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,19 @@
 cmake_minimum_required(VERSION 2.6)
+
+if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
+	message(SEND_ERROR  "You have to create an out-of-source build")
+	message(SEND_ERROR  "Create a sub-folder and execute cmake there")
+	message(FATAL_ERROR "The file CmakeCache.txt and directory CMakeFiles in the root directory have to be deleted manually now")
+endif()
+
+project(gringo)
 
 # user configurables
 set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Build type: Release Debug")
 if(NOT $ENV{WITH_LUA} STREQUAL "")
 	SET(WITH_LUA $ENV{WITH_LUA})
 endif()
-set(WITH_LUA "${WITH_LUA}" CACHE STRING "Enable LUA support (none, system, internal)")
+set(WITH_LUA "${WITH_LUA}" CACHE STRING "Enable LUA support (none, system, shipped)")
 if(NOT $ENV{WITH_LUASQL} STREQUAL "")
 	SET(WITH_LUASQL TRUE)
 endif()
@@ -16,14 +24,10 @@
 set(WITH_DOC "${WITH_DOC}" CACHE BOOL "Generate documentation")
 set(USE_STATIC_LIBS "${USE_STATIC_LIBS}" CACHE BOOL "Link statically")
 
-project(gringo)
-
 include(cmake/re2c.cmake)
 include(cmake/lemon.cmake)
-include(cmake/macros.cmake)
 include(cmake/PCHSupport.cmake)
-
-ENSURE_OUT_OF_SOURCE_BUILD("you have to create an out-of-source build")
+include(CheckCXXCompilerFlag)
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake CACHE INTERNAL "" FORCE)
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "" FORCE)
@@ -37,12 +41,21 @@
 	set(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS)
 	set(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS)
 	set(Boost_USE_STATIC_LIBS TRUE)
-	set(CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} -static)
+	set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
 	set(CMAKE_FIND_LIBRARY_SUFFIXES .lib .a)
 ENDIF()
 
-if(CMAKE_COMPILER_IS_GNUCXX)
+CHECK_CXX_COMPILER_FLAG("-Wno-ignored-qualifiers" HAS_WARN_NO_IGNORED_QUALIFIERS)
+CHECK_CXX_COMPILER_FLAG("-Wno-unused-parameter" HAS_WARN_NO_UNUSED_PARAMETER)
+CHECK_CXX_COMPILER_FLAG("-Wno-unused-variable" HAS_WARN_NO_UNUSED_VARIABLE)
+if(HAS_WARN_NO_IGNORED_QUALIFIERS)
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-ignored-qualifiers")
+endif()
+if(HAS_WARN_NO_UNUSED_PARAMETER)
+#	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-parameter")
+endif()
+if(HAS_WARN_NO_UNUSED_VARIABLE)
+#	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-variable")
 endif()
 
 set(Boost_USE_MULTITHREADED OFF CACHE STRING "Whether to Use multi-threaded boost libraries")
