=== debian/changelog ===
gringo (3.0.5-1build1) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 09:52:50 +0100

gringo (3.0.5-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update copyright years.
  * debian/compat: Bump to version 9.
  * debian/control:
    - Remove DM-Upload-Allowed.
    - Build-Depends on debhelper >= 9.
  * debian/watch: Only watch upstream gringo >= 3.
  * debian/patches/gringo-clang-gcc.patch debian/patches/gringo-cond.patch
    debian/patches/gringo-domain-fwd-decl.patch
    debian/patches/gringo-unpool-pred.patch debian/patches/series: Remove
    already applied patches.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 21 May 2013 19:04:24 +0200

gringo (3.0.4-4) unstable; urgency=low

  * Apply upstream patches from subversion r6200 and r6237 for fixing
    potassco bugs 75 and 76, resp.
  * debian/patches/gringo-cond.patch: New file originally from
    http://sourceforge.net/p/potassco/code/6291/tree/tags/gringo-3.0.4/patches/patch-cond.diff?format=raw.
  * debian/patches/gringo-unpool-pred.patch: New file originally from
    http://sourceforge.net/p/potassco/code/6291/tree/tags/gringo-3.0.4/patches/patch-unpool-pred.diff?format=raw.
  * debian/control: Bump Standards-Version to 3.9.4.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 22 Nov 2012 10:40:56 +0100

gringo (3.0.4-3) unstable; urgency=low

  * Bug fix: "please build-depend on unversionend boost libraries", thanks
    to Ralf Treinen (Closes: #672933).

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 23 May 2012 15:25:09 +0200
