=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: gringo
 Section: interpreters
 Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 9),
  cmake,
  re2c,
- libboost-filesystem1.48-dev,
- libboost-system1.48-dev,
+ libboost-filesystem-dev,
+ libboost-system-dev,
  liblua5.1-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/debian-science/packages/gringo.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gringo.git
 Homepage: http://potassco.sourceforge.net/
