=== debian/watch ===
# watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
http://sf.net/potassco/gringo-3\.([\d\.]+)-source\.tar\.gz
