=== debian/changelog ===
gringo (4.2.1-4) unstable; urgency=low

  * Bug fix: "add ppc64el to architecture list for libtbb-dev to fix
    FTBFS", thanks to Logan Rosen (Closes: #735005).

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 12 Jan 2014 19:22:44 +0100

gringo (4.2.1-3) unstable; urgency=low

  * debian/control: Breaks aspcud <= 2012.10.24-6 after discussion with
    upstream.
    Remove spurious Build-Depends on libboost-filesystem-dev and
    libboost-system-dev.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 18 Dec 2013 09:42:59 +0100

gringo (4.2.1-2) unstable; urgency=low

  * debian/control: FTBFS on ia64 sparc powerpc, Build-Depends is now
    g++-4.8 >= 4.8.0.
  * debian/rules: Set CXX to g++-4.8.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 17 Dec 2013 07:07:54 +0100

gringo (4.2.1-1) unstable; urgency=low

  gringo 4.2 adds support for {i,o,}clingo again.

  * New upstream release.
  * debian/watch: Back to watching all releases of gringo.
  * debian/rules: Add scons, python, tbb, and hardening support.
  * debian/install: Install gringo and clingo.
  * debian/gringo.links: Symlink clingo binary and manpage to {i,o}clingo.
  * debian/gringo.manpages: Remove iclingo manpage.
  * debian/control: Build-Depends on bison, scons, g++ >= 4.8.0,
    libpython2.7-dev, libtbb-dev.
    Bump Standards-Version to 3.9.5.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 16 Dec 2013 16:28:42 +0100
