=== debian/control ===
Source: gringo
Section: interpreters
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
Build-Depends: debhelper (>= 9),
 g++-4.8 (>= 4.8.0),
 scons,
 re2c,
 bison,
 libtbb-dev (>= 4.0+r233) [amd64 ia64 ppc64 ppc64el],
 liblua5.1-dev,
 libpython2.7-dev
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/git/debian-science/packages/gringo.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gringo.git
Homepage: http://potassco.sourceforge.net/

Package: gringo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: clasp
Suggests: potassco-guide
Replaces: clingo, iclingo
Conflicts: clingo, iclingo
Breaks: aspcud (<= 2012.10.24-6)
Description: grounding tools for (disjunctive) logic programs
 Current answer set solvers work on variable-free programs. Hence, a
 grounder is needed that, given an input program with first-order
 variables, computes an equivalent ground (variable-free) program.
 .
 This package contains the following tools:
 .
  - gringo: creates lparse-compatible variable-free programs.
  - clingo: stands for clasp on gringo and combines both systems in
    a monolithic way. Its input language is that of gringo and its
    output corresponds to that of clasp.
  - iclingo: an incremental answer set programming system, which is
    based on the idea that the grounder as well as the solver are
    implemented in a stateful way.  Thus, both keep their previous states
    while increasing an incremental parameter. As regards grounding, at
    each incremental step, the goal is to produce only ground rules
    stemming from the current program slice, without re-producing
    previous ground rules.  The ground program slices are then gradually
    passed to the solver that accumulates ground rules and computes
    answer sets for them.
  - oclingo: a system for reactive answer set programming, extending
    gringo and clasp for handling external modules provided at runtime
    by a controller.
