## gringo 4.3.0

=== debian/changelog ===
gringo (4.3.0-2) unstable; urgency=low

  * Bug fix: "non-standard gcc/g++ used for build (gcc-4.8)", thanks to
    Matthias Klose (Closes: #751317).
  * Build with system-wide liblua5.2-dev.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 12 Jun 2014 09:16:31 +0200

gringo (4.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 26 Feb 2014 13:06:29 +0100
