=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
 Build-Depends: debhelper (>= 9),
- g++-4.8 (>= 4.8.0),
+ g++ (>= 4:4.8.0),
  scons,
  re2c,
  bison,
  libtbb-dev (>= 4.0+r233) [amd64 ia64 ppc64 ppc64el],
- liblua5.1-dev,
+ liblua5.2-dev,
  libpython2.7-dev
 Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/debian-science/packages/gringo.git
