## gringo 4.4.0

=== SConstruct ===
--- 
+++ 
@@ -87,7 +87,7 @@
   --build-dir=DIR             Sets the build directory to build/DIR. If DIR is
                               release or static then options are set,
                               respectively. Otherwise, debug options are set.
-                              Default: release
+                              Default: debug
   --test-case=NAME            Selects which test case to run. If empty all
                               tests will be executed.
                               Default: ''
