=== debian/changelog ===
gringo (4.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Remove Suggests on potassco-guide.
  * debian/control: Fix Vcs fields to use anonscm.debian.org.
  * Setup git repository to use git-buildpackage.
  * Import upstream sources with git-import-orig --pristine-tar.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 18 Aug 2014 17:10:34 +0200
