=== debian/control ===
--- 
+++ 
@@ -12,15 +12,14 @@
  liblua5.2-dev,
  libpython2.7-dev
 Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/git/debian-science/packages/gringo.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gringo.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/gringo.git
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/gringo.git
 Homepage: http://potassco.sourceforge.net/
 
 Package: gringo
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: clasp
-Suggests: potassco-guide
 Replaces: clingo, iclingo
 Conflicts: clingo, iclingo
 Breaks: aspcud (<= 2012.10.24-6)
