=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH | egrep "(amd64|ia64|ppc64)")
 os = $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS | grep linux)
 
-# force g++-4.8, lua5.1, and python2.7
-CONFIGPARMS = CXX='g++-4.8' WITH_LUA='lua5.1' WITH_PYTHON='python2.7' CPPPATH='$${["/usr/include/lua5.1","/usr/include/python2.7"]}'
+# force g++, lua5.2, and python2.7
+CONFIGPARMS = CXX='g++' WITH_LUA='lua5.2' WITH_PYTHON='python2.7' CPPPATH='$${["/usr/include/lua5.2","/usr/include/python2.7"]}'
 ifeq ($(and $(if $(os),good), $(if $(arch),good)), good)
 	CONFIGPARMS += WITH_TBB="tbb"
 endif
