## gringo 4.5.0

=== SConstruct ===
--- 
+++ 
@@ -40,6 +40,7 @@
     ('LIBS'          , 'additional libraries'),
     ('LIBPATH'       , 'library paths'),
     ('LINKFLAGS'     , 'linker flags'),
+    ('RPATH'         , 'library paths to embedd into binaries'),
     ('AR'            , 'path to ar'),
     ('ARFLAGS'       , 'ar flags'),
     ('RANLIB'        , 'path to ranlib'),
@@ -55,12 +56,13 @@
 env['BISON']          = 'bison'
 env['RE2C']           = 're2c'
 env['CXX']            = 'g++'
-env['CXXFLAGS']       = ['-std=c++11', '-O0', '-g', '-Wall', '-W', '-pedantic', '-Wno-gnu']
+env['CXXFLAGS']       = ['-std=c++11', '-O0', '-g', '-Wall', '-W', '-pedantic']
 env['LIBS']           = []
 env['LINKFLAGS']      = ['-std=c++11', '-O0']
 env['CPPDEFINES']     = {}
 env['CPPPATH']        = []
 env['LIBPATH']        = []
+env['RPATH']          = []
 env['WITH_PYTHON']    = None
 env['WITH_LUA']       = None
 env['WITH_TBB']       = None
@@ -87,14 +89,17 @@
   --build-dir=DIR             Sets the build directory to build/DIR. If DIR is
                               release or static then options are set,
                               respectively. Otherwise, debug options are set.
-                              Default: debug
+                              Default: release
   --test-case=NAME            Selects which test case to run. If empty all
                               tests will be executed.
                               Default: ''
 
 Targets:
-  gringo                      Build gringo. (default)
-  clingo                      Build clingo.
+  gringo                      Build gringo (built by default).
+  clingo                      Build clingo (built by default).
+  reify                       Build reify (built by default).
+  pyclingo                    Python module (built if python support enabled).
+  luaclingo                   Lua module (built if lua support enabled).
   test-clingo                 Run clingo specific acceptence tests.
   test                        Build and run unit tests.
   tags                        Generate ctags file.
