=== debian/changelog ===
gringo (4.5.0-1) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6.
  * Imported Upstream version 4.5.0
  * debian/control: Add Breaks: aspcud (<= 1.9.0-2). Add reify description.
  * debian/copyright: Update copyright information, remove outdated files.
  * debian/docs: Remove NOTES.
  * debian/install: Install reify.
  * debian/rules: Build reify.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 11 Jul 2015 09:36:10 +0200
