## gringo 4.5.1

=== SConstruct ===
--- 
+++ 
@@ -46,10 +46,10 @@
     ('RANLIB'        , 'path to ranlib'),
     ('BISON'         , 'path to bison'),
     ('RE2C'          , 'path to re2c'),
-    ('WITH_PYTHON'   , 'enable python integration; None to disable or python library name'),
-    ('WITH_LUA'      , 'enable lua integration; None to disable or lua library name'),
-    ('WITH_TBB'      , 'enable thread support in clasp library; None to disable or tbb library name'),
-    ('WITH_CPPUNIT'  , 'enable target test, running unit tests using cppunit; None to disable or cppunit library name'),
+    ('WITH_PYTHON'   , 'enable python integration; None, "auto", or library name or path'),
+    ('WITH_LUA'      , 'enable lua integration; None, "auto", library name, or path'),
+    ('WITH_TBB'      , 'enable thread support in clasp library using tbb; None, "auto", library name or path'),
+    ('WITH_CPPUNIT'  , 'enable target test, running unit tests using cppunit; None, "auto", or library name or test'),
     )
 
 env = Environment()
@@ -63,10 +63,10 @@
 env['CPPPATH']        = []
 env['LIBPATH']        = []
 env['RPATH']          = []
-env['WITH_PYTHON']    = None
-env['WITH_LUA']       = None
-env['WITH_TBB']       = None
-env['WITH_CPPUNIT']   = None
+env['WITH_PYTHON']    = 'auto'
+env['WITH_LUA']       = 'auto'
+env['WITH_TBB']       = 'auto'
+env['WITH_CPPUNIT']   = 'auto'
 
 if GetOption("build_dir") == "static":
     env['CXXFLAGS']  = ['-std=c++11', '-O3', '-Wall']
@@ -89,7 +89,7 @@
   --build-dir=DIR             Sets the build directory to build/DIR. If DIR is
                               release or static then options are set,
                               respectively. Otherwise, debug options are set.
-                              Default: release
+                              Default: debug
   --test-case=NAME            Selects which test case to run. If empty all
                               tests will be executed.
                               Default: ''
@@ -115,10 +115,6 @@
 #     RANLIB=true \
 #     ARFLAGS="rc --plugin /usr/lib/llvm/LLVMgold.so"
 
-# Notes to set rpath:
-#   scons --build=release \
-#     LINKFLAGS="-Wl,-rpath -Wl,/home/wv/bin/linux/64/gcc-4.7/lib"
-
 if not env.GetOption('help'):
     SConscript('SConscript', variant_dir=join('build', GetOption('build_dir')), duplicate=0, exports=['env', 'opts'])
