=== debian/changelog ===
gringo (4.5.1-1) unstable; urgency=medium

  * Imported Upstream version 4.5.1
  * Add reify.1 manpage

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 13 Jul 2015 09:01:56 +0200
