## gringo 4.5.3

=== SConstruct ===
--- 
+++ 
@@ -76,6 +76,17 @@
     env['CXXFLAGS']   = ['-std=c++11', '-O3', '-Wall']
     env['LINKFLAGS']  = ['-std=c++11', '-O3']
     env['CPPDEFINES']['NDEBUG'] = 1
+elif GetOption("build_dir") == "js":
+    env['CXXFLAGS']   = ['-std=c++11', '-Os', '-Wall', '-s', 'DISABLE_EXCEPTION_CATCHING=0']
+    env['LINKFLAGS']  = ['-std=c++11', '-Os', '-s', 'DISABLE_EXCEPTION_CATCHING=0', '-s', 'EXPORTED_FUNCTIONS=\'["_run"]\'']
+    env['CXX'] = "em++"
+    env['AR'] = 'emar'
+    env['RANLIB'] = 'emranlib'
+    env['CPPDEFINES']['NDEBUG'] = 1
+    env['WITH_PYTHON'] = None
+    env['WITH_LUA'] = None
+    env['WITH_TBB'] = None
+    env['WITH_CPPUNIT'] = None
 
 opts.Update(env)
 opts.Save(opts_file, env)
@@ -89,12 +100,16 @@
   --build-dir=DIR             Sets the build directory to build/DIR. If DIR is
                               release or static then options are set,
                               respectively. Otherwise, debug options are set.
+                              Furthermore the special build dir js sets options
+                              to build with emscripten. Afterwards, target web
+                              can be used to build clingo for the web browser.
                               Default: debug
   --test-case=NAME            Selects which test case to run. If empty all
                               tests will be executed.
                               Default: ''
 
 Targets:
+  configure                   Only configure and build nothing.
   gringo                      Build gringo (built by default).
   clingo                      Build clingo (built by default).
   reify                       Build reify (built by default).
@@ -102,8 +117,10 @@
   luaclingo                   Lua module (built if lua support enabled).
   test-clingo                 Run clingo specific acceptence tests.
   test                        Build and run unit tests.
+  libclingo                   Build shared clingo library.
+  example                     Build example app using libclingo.
   tags                        Generate ctags file.
-  configure                   Only configure and build nothing.
+  web                         Build clingo for the web (use with build-dir js).
 
 Variables:
 """ + opts.GenerateHelpText(env))
