=== debian/changelog ===
gringo (4.5.3-1) unstable; urgency=medium

  * Imported Upstream version 4.5.3

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 26 Sep 2015 09:31:03 +0200
