## gringo 4.5.4

=== SConstruct ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 if not exists("build"): mkdir("build")
 
-AddOption('--build-dir', default='release', metavar='DIR', nargs=1, type='string', dest='build_dir')
+AddOption('--build-dir', default='debug', metavar='DIR', nargs=1, type='string', dest='build_dir')
 AddOption('--test-case', default=None, metavar='NAME', nargs=1, type='string', dest='test_case')
 
 # Note: workaround for scons limitation (try to get a hand on the internal option parser)
@@ -46,6 +46,8 @@
     ('RANLIB'        , 'path to ranlib'),
     ('BISON'         , 'path to bison'),
     ('RE2C'          , 'path to re2c'),
+    ('PYTHON_CONFIG' , 'path to python-config'),
+    ('PKG_CONFIG'    , 'path to pkg-config'),
     ('WITH_PYTHON'   , 'enable python integration; None, "auto", or library name or path'),
     ('WITH_LUA'      , 'enable lua integration; None, "auto", library name, or path'),
     ('WITH_TBB'      , 'enable thread support in clasp library using tbb; None, "auto", library name or path'),
@@ -55,6 +57,8 @@
 env = Environment()
 env['BISON']          = 'bison'
 env['RE2C']           = 're2c'
+env['PYTHON_CONFIG']  = 'python-config'
+env['PKG_CONFIG']     = 'pkg-config'
 env['CXX']            = 'g++'
 env['CXXFLAGS']       = ['-std=c++11', '-O0', '-g', '-Wall', '-W', '-pedantic']
 env['LIBS']           = []
