=== debian/changelog ===
gringo (4.5.4-1) unstable; urgency=medium

  * Imported Upstream version 4.5.4

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 19 Dec 2015 14:07:05 +0100
