=== debian/control ===
Source: gringo
Section: interpreters
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
Build-Depends: debhelper (>= 9),
 g++ (>= 4:4.8.0),
 scons,
 re2c,
 bison,
 libtbb-dev (>= 4.0+r233) [amd64 ia64 ppc64 ppc64el],
 liblua5.2-dev,
 libpython2.7-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/debian-science/packages/gringo.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/gringo.git
Homepage: http://potassco.sourceforge.net/

Package: gringo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: clasp
Replaces: clingo, iclingo
Conflicts: clingo, iclingo
Breaks: aspcud (<= 1.9.0-2)
Description: grounding tools for (disjunctive) logic programs
 Current answer set solvers work on variable-free programs. Hence, a
 grounder is needed that, given an input program with first-order
 variables, computes an equivalent ground (variable-free) program.
 .
 This package contains the following tools:
 .
  - gringo: creates lparse-compatible variable-free programs.
  - clingo: stands for clasp on gringo and combines both systems in
    a monolithic way. Its input language is that of gringo and its
    output corresponds to that of clasp.
  - reify: small utility that reifies logic program, given in smodels
    format.  It produces a set of facts that can be processed further
    with gringo.
