=== debian/rules ===
--- 
+++ 
@@ -44,9 +44,9 @@
 override_dh_auto_configure:
 	scons configure --build-dir=release $(CONFIGPARMS) CXXFLAGS='$(SCCXXFLAGS)' LINKFLAGS='$(SCLINKFLAGS)'
 
-# build gringo and clingo
+# build gringo clingo reify
 override_dh_auto_build:
-	scons --build-dir=release gringo clingo
+	scons --build-dir=release gringo clingo reify
 
 override_dh_auto_clean:
 	rm -rf ./build .sconf_temp .sconsign.dblite
